Bug 34965 - Handling of multi-actions on selections
Handling of multi-actions on selections
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 3.0
Other Linux
: P5 enhancement (vote)
: UCS 3.2-2-errata
Assigned To: Alexander Kläser
Florian Best
:
Depends on:
Blocks: 34608
  Show dependency treegraph
 
Reported: 2014-05-26 12:44 CEST by Alexander Kläser
Modified: 2014-07-14 10:50 CEST (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2014-05-26 12:44:14 CEST
For the adaptation in Bug #34608 to work, the UMC grid needs to be adjusted.

+++ This bug was initially created as a clone of Bug #34608 +++

A customer reported that if a teacher selects all computers in a, mass actions like locking the display are not available if the room contains computers that aren't reachable.  This forces the teacher to manually skim through the list and unselect every single computer that is not reachable.

This renders mass actions unusable for quick changes.

The desired behavior is that unreachable computers are ignored and the select action is applied to all other computers.
Comment 1 Alexander Kläser univentionstaff 2014-05-26 13:02:02 CEST
Added the flag "enablingMode" for the definition of multi actions. It can have the following  modes:

"all" → current behaviour, i.e., all items need to be executable (w.r.t. the action) in order for the button to be enabled.

"some" → at least one item in the selection needs to be executable; only executable actions of the selection are passed over to the callback function.

YAML-file: 2014-05-26-univention-management-console-frontend.yaml


univention-management-console-frontend (3.0.152-26):
* Bug #34965: allow execution of a multi action even though selected items
  cannot be executed
Comment 2 Florian Best univentionstaff 2014-05-27 16:38:24 CEST
OK: enablingMode defaults to 'all'
OK: enablingMode == 'all' → old behavior
OK: enablingMode == 'some' → only executable rows are executed, action is available if selection contains also non-executable rows
tested with appcenter/PackagesPage.js
OK: YAML

Maybe the wording enablingMode is not very intuitive, but I currently don't know something better.
Comment 3 Alexander Kläser univentionstaff 2014-05-27 17:01:58 CEST
(In reply to Florian Best from comment #2)
> ...
> Maybe the wording enablingMode is not very intuitive, but I currently don't
> know something better.

Please make a suggestion if you have a better one ;) . I was not able to find one!
Comment 4 Moritz Muehlenhoff univentionstaff 2014-07-14 10:50:28 CEST
http://errata.univention.de/ucs/3.2/149.html